Go to the latest version of this document.

# ``twisted`.`words`.`protocols`.`jabber`.`sasl`.`SASLIncorrectEncodingError``

exception documentation

`class SASLIncorrectEncodingError(SASLError): (source)`

View In Hierarchy

SASL base64 encoding was incorrect.

RFC 3920 specifies that any characters not in the base64 alphabet and padding characters present elsewhere than at the end of the string MUST be rejected. See also `fromBase64`.

This exception is raised whenever the encoded string does not adhere to these additional restrictions or when the decoding itself fails.

The recommended behaviour for so-called receiving entities (like servers in client-to-server connections, see RFC 3920 for terminology) is to fail the SASL negotiation with a `'incorrect-encoding'` condition. For initiating entities, one should assume the receiving entity to be either buggy or malevolent. The stream should be terminated and reconnecting is not advised.